dnsjit.core.object.icmp(3)

NAME
dnsjit.core.object.icmp - An ICMP packet

DESCRIPTION
An ICMP packet which is usually at the top of the object chain after parsing with, for example, Layer filter.

  Attributes

type
    The type of ICMP message.

code
    The (response/error) code for the ICMP type message.

cksum
    The ICMP checksum.

  Functions

Icmp:type()
    Return the textual type of the object.

Icmp:prev()
    Return the previous object.

Icmp:cast()
    Cast the object to the underlining object module and return it.

Icmp:uncast()
    Cast the object to the generic object module and return it.

Icmp:copy()
    Make a copy of the object and return it.

Icmp:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net